Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 891033 (CVE-2012-6084) - CVE-2012-6084 ircd-ratbox: remote crash during the capability negotiation (CAPAB module)
Summary: CVE-2012-6084 ircd-ratbox: remote crash during the capability negotiation (CA...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2012-6084
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 891034 891035
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-01 06:36 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:59:48 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2013-01-01 06:36:54 UTC
A remotely triggerable crash flaw was found in ircd-ratbox-2.x.
The bug has to do with server capability negotiation.  A malformed request will trigger a crash due to invalid assumptions.

Details:
http://rabbit.dereferenced.org/~nenolod/ASA-2012-12-31.txt
http://tech.slashdot.org/story/12/12/31/2241229/efnet-paralyzed-by-vulnerability

Comment 1 Huzaifa S. Sidhpurwala 2013-01-01 06:39:47 UTC
Created ircd-ratbox tracking bugs for this issue

Affects: fedora-all [bug 891034]
Affects: epel-5 [bug 891035]

Comment 2 Huzaifa S. Sidhpurwala 2013-01-01 07:08:04 UTC
This issue was originally disclosed via the following email:

http://seclists.org/oss-sec/2012/q4/544

Comment 3 Huzaifa S. Sidhpurwala 2013-01-01 07:47:12 UTC
This issue was assigned CVE-2012-6084 via:
http://seclists.org/oss-sec/2012/q4/546

Comment 4 Product Security DevOps Team 2019-06-10 10:59:48 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.